﻿var durum;
var sehir_numara;
var imageArray = new Array("g1.jpg", "g2.jpg", "g3.jpg", "g4.jpg", "g5.jpg", "g6.jpg", "g7.jpg", "g8.jpg");
var imageIndex = 0;
var sayac = 0;

function init() {
    System.Gadget.onSettingsClosing = SettingsClosing;

    $("#eyukleniyor").hide();
    $("#syukleniyor").hide();

    $("#dyukleniyor").ajaxStart(function () {
        $(this).show();
    });

    $("#dyukleniyor").ajaxStop(function () {
        $(this).hide();
    });

    $.ajax({
        //url: 'http://www.turktakvim.com/75/',
		url: 'http://www.turktakvim.com/gadget.php?gp=75',
        error: function () {
            document.getElementById("durum").style.display = "block";
            document.getElementById("durum").innerHTML = "İnternet Bağlant&#305;n&#305;z&#305; Kontrol Edin";
            document.getElementById("panel").style.display = "none";
        },
        success: function (data) {
            $("#devletler").html(data);
        }
    });

    document.body.style.width = 300;
    document.body.style.height = 365;
    document.body.style.margin = 0;

    var tema = System.Gadget.Settings.read("tema");
    if (tema != "") {
        resim_degistir(tema);
        sayac = tema;
        if (sayac == 7) {
            document.getElementById("sonraki").style.display = "none";
            document.getElementById("sonraki_pasif").style.display = "block";
        }
    }
    else {
        imageIndex = 0;
        sayac = 0;
        System.Gadget.Settings.write("tema", imageIndex);
        resim_degistir(0);
        document.getElementById("onceki").style.display = "none";
        document.getElementById("onceki_pasif").style.display = "block";
    }
}
function SettingsClosing(event) {
    // Eger Tamam'a basildi ise
    if (event.closeAction == event.Action.commit) {
        if (durum == false) {
            event.cancel = false;
        }
        else {
            System.Gadget.Settings.write("SehirNo", sehir_numara);
            System.Gadget.Settings.write("tema", imageIndex);
        }
    }
    // Eger Iptal'e basildi ise.
    else if (event.closeAction == event.Action.cancel) {
        event.cancel = false;
    }
}

function eyaletler(adim) {
    $("#eyukleniyor").ajaxStart(function () {
        $(this).show();
    });

    $("#eyukleniyor").ajaxStop(function () {
        $(this).hide();
    });

    $.ajax({
        //url: 'http://www.turktakvim.com/76/' + adim.options[adim.selectedIndex].value,
		url: 'http://www.turktakvim.com/gadget.php?gp=76&countryID=' + adim.options[adim.selectedIndex].value,
        success: function (data) {
            $("#eyaletler").html(data);
        }
    });
}

function sehirler(Adi, Devlet) {
    $("#syukleniyor").ajaxStart(function () {
        $("#sehirler").show();
        $(this).show();
    });

    $("#syukleniyor").ajaxStop(function () {
        $(this).hide();
    });

    var url_array_2 = Adi.options[Adi.selectedIndex].value
    var url_array_3 = Devlet.options[Devlet.selectedIndex].value

    $.ajax({
        //url: 'http://www.turktakvim.com/77/' + url_array_2 + '/' + url_array_3,
		url: 'http://www.turktakvim.com/gadget.php?gp=77&countryID=' + url_array_3 + '&cityStateFilter=' + url_array_2,
        success: function (data) {
            $("#sehirler").html(data);
        }
    });
}

function resim_degistir(resim_no) {
    imageIndex = resim_no;
    document.getElementById("settingsImagePreview").src = imageArray[resim_no];
    document.getElementById("tema_no").innerHTML = "&nbsp;" + (resim_no + 1) + ". Tema&nbsp;";
}

function sayac_artir() {
    sayac++;
    document.getElementById("onceki").style.display = "block";
    document.getElementById("onceki_pasif").style.display = "none";
    if (sayac == 7) {
        document.getElementById("sonraki").style.display = "none";
        document.getElementById("sonraki_pasif").style.display = "block";
    }
}

function sayac_azalt() {
    sayac--;
    document.getElementById("sonraki").style.display = "block";
    document.getElementById("sonraki_pasif").style.display = "none";
    if (sayac <= 0) {
        document.getElementById("onceki").style.display = "none";
        document.getElementById("onceki_pasif").style.display = "block";
    }
}

function convert_unicode(source) {
    result = '';
    for (i = 0; i < source.length; i++)
        if (i == 0) {
            result += source.charCodeAt(i)
        }
        else {
            result += ";" + source.charCodeAt(i);
        }
    return result;
}

function sil() {
    if (document.getElementById('city_name').value == "Lütfen şehrin ismini giriniz ...") {
        document.getElementById('city_name').value = "";
    }
}

function yaz() {
    if (document.getElementById('city_name').value == "") {
        document.getElementById('city_name').value = "Lütfen şehrin ismini giriniz ...";
    }
}

function sehir_ara(sayfa) {
    var xmlHttp;
    xmlHttp = new XMLHttpRequest();
    xmlHttp.onreadystatechange = function () {
        if (xmlHttp.readyState == 4) {
            document.getElementById("arama_sonuclari").innerHTML = xmlHttp.responseText;
            document.getElementById("arama_sonuclari").style.display = "block";
            document.getElementById("yukleniyor").style.display = "none";
        }
        if (xmlHttp.readyState == 1) {
            document.getElementById("arama_sonuclari").style.display = "none";
            document.getElementById("yukleniyor").style.display = "block";
        }
    }
    //xmlHttp.open("Get", "http://www.turktakvim.com/78/" + convert_unicode(document.getElementById("city_name").value) + "/" + sayfa + "/", true);
	xmlHttp.open("Get", "http://www.turktakvim.com/gadget.php?gp=78&SearchName=" + convert_unicode(document.getElementById("city_name").value) + "&sayfa=" + sayfa, true);
    xmlHttp.send(null);
}

function deger_ver(deger_no) {
    sehir_numara = deger_no;
}

$(document).ready(function () {
    //Default Action
    $(".tab_content").hide(); //Hide all content
    $("ul.tabs li:first").addClass("active").show(); //Activate first tab
    $(".tab_content:first").show(); //Show first tab content

    //On Click Event
    $("ul.tabs li").click(function () {
        $("ul.tabs li").removeClass("active"); //Remove any "active" class
        $(this).addClass("active"); //Add "active" class to selected tab
        $(".tab_content").hide(); //Hide all tab content
        var activeTab = $(this).find("a").attr("href"); //Find the rel attribute value to identify the active tab + content
        //$(activeTab).fadeIn(); //Fade in the active content
        $(activeTab).show();
        return false;
    });
});